/*******************************************************************************

  Intel Data Center Bridging (DCB) Software
  Copyright(c) 2007-2008 Intel Corporation.

  This program is free software; you can redistribute it and/or modify it
  under the terms and conditions of the GNU General Public License,
  version 2, as published by the Free Software Foundation.

  This program is distributed in the hope it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.

  The full GNU General Public License is included in this distribution in
  the file called "COPYING".

  Contact Information:
  e1000-eedc Mailing List <e1000-eedc@lists.sourceforge.net>
  Intel Corporation, 5200 N.E. Elam Young Parkway, Hillsboro, OR 97124-6497

*******************************************************************************/

#ifndef _MESSAGES_H_
#define _MESSAGES_H_

#define MSG_INFO_DEBUG_STRING 1
#define MSG_WARN_SERVICE_INVALID_REQUEST 2
#define MSG_ERR_SERVICE_START_FAILURE 3
#define MSG_ERR_SERVICE_STOP_FAILURE 4
#define MSG_ERR_HANDLER_NOT_INSTALLED 5
#define MSG_ERR_RESOURCE_MEMORY 6
#define MSG_ERR_ADD_CARD_FAILURE 7

#define MSG_ERR_DCB_INVALID_TX_TOTAL_BWG 8
#define MSG_ERR_DCB_INVALID_RX_TOTAL_BWG 9
#define MSG_ERR_DCB_INVALID_TX_BWG_IDX 10
#define MSG_ERR_DCB_INVALID_RX_BWG_IDX 11
#define MSG_ERR_DCB_INVALID_TX_LSP_NZERO_BW_TC 12
#define MSG_ERR_DCB_INVALID_RX_LSP_NZERO_BW_TC 13
#define MSG_ERR_DCB_INVALID_TX_ZERO_BW_TC 14
#define MSG_ERR_DCB_INVALID_RX_ZERO_BW_TC 15
#define MSG_ERR_DCB_INVALID_TX_LSP_NZERO_BWG 16
#define MSG_ERR_DCB_INVALID_RX_LSP_NZERO_BWG 17
#define MSG_ERR_DCB_INVALID_TX_BWG 18
#define MSG_ERR_DCB_INVALID_RX_BWG 19
#define MSG_ERR_TX_SM_INVALID 20
#define MSG_ERR_RX_SM_INVALID 21
#define MSG_ERR_DCB_INVALID_CONFIG_FILE 22

#endif
